freq_sweep_rx_result.json

    the result of freq_sweep of SCuM to receive
    record the following when a frame is received by SCuM
        - frequency configure at each channel settings

freq_sweep_tx_result.json

    the result of freq_sweep of SCuM to transmit
    record the following when a frame is received by OpenMote
        - the frequency configure at each channel settings
        - the rssi of received frame
        - the frequency offset of the received frame
        
freq_sweep_txrx_relation.py

    the script trying to find the relationship between tx and rx setings of SCuM based on the sweep result
    
    the printed out result after running the script indicates the following:
    
        channel {
            'rx': [freq_setting_rx_1, freq_setting_rx_2], 
            'tx': [freq_setting_tx_1, freq_setting_tx_2]
        } [
            freq_setting_rx_1-freq_setting_tx_1, 
            freq_setting_rx_1-freq_setting_tx_2, 
            freq_setting_rx_2-freq_setting_tx_1, 
            freq_setting_rx_2-freq_setting_tx_2
        ]
        
    where freq_setting_1, freq_setting_2 is the median freq_settings at a coarse that SCuM or OpenMote is able to receive the most frames from OpenMote or SCuM.
    
    E.g.
    frames are received at :
        23.1.14, 23.1.15, 23.1.16, 23.1.17, 23.1.18, 23.1.19, 23.1.20 > freq_setting_1=23.1.17 : 23<<10 | 1 <<5 | 17
        24.2.1,  24.2.2,  24.2.3,  24.2.4,  24.2.5                    > freq_setting_2=24.2.3, : 24<<10 | 2 <<5 | 3
        
    11 {'rx': [23413, 23856], 'tx': [23472, 23915]} [59, -384, 502, 59]
    12 {'rx': [0, 24048], 'tx': [24108, 24580]} [24108, 60, 24580, 532]
    13 {'rx': [24259, 24688], 'tx': [24299, 24744]} [40, -389, 485, 56]
    14 {'rx': [24433, 24882], 'tx': [24489, 24933]} [56, -393, 500, 51]
    15 {'rx': [25073, 25769], 'tx': [25125, 25602]} [52, -644, 529, -167]
    16 {'rx': [25261, 25706], 'tx': [25306, 25749]} [45, -400, 488, 43]
    17 {'rx': [25448, 25898], 'tx': [25492, 25935]} [44, -406, 487, 37]
    18 {'rx': [26086, 26764], 'tx': [0, 26123]} [-26086, -26764, 37, -641]
    19 {'rx': [26266, 26725], 'tx': [0, 26123]} [-26266, -26725, -143, -602]
    20 {'rx': [26441, 26891], 'tx': [26487, 26934]} [46, -404, 493, 43]
    21 {'rx': [26606, 27061], 'tx': [26623, 27118]} [17, -438, 512, 57]
    22 {'rx': [27248, 27695], 'tx': [27302, 27739]} [54, -393, 491, 44]
    23 {'rx': [27432, 27877], 'tx': [27479, 27922]} [47, -398, 490, 45]
    24 {'rx': [27599, 28064], 'tx': [27640, 28103]} [41, -424, 504, 39]
    25 {'rx': [28234, 28873], 'tx': [28279, 28724]} [45, -594, 490, -149]
    26 {'rx': [28409, 28864], 'tx': [0, 28459]} [-28409, -28864, 50, -405]